# Uses of Class
org.eclipse.emf.compare.ide.ui.internal.mergeresolution.MergeResolutionListenerDescriptor

Packages that use MergeResolutionListenerDescriptor
Package
Description
org.eclipse.emf.compare.ide.ui.internal.mergeresolution

## Uses of MergeResolutionListenerDescriptor in org.eclipse.emf.compare.ide.ui.internal.mergeresolution

Methods in org.eclipse.emf.compare.ide.ui.internal.mergeresolution that return MergeResolutionListenerDescriptor
Modifier and Type
Method
Description
`MergeResolutionListenerDescriptor`
MergeResolutionListenerRegistry.`removeProvider(String className)`
Removes the `MergeResolutionListenerDescriptor` and its managed `IDependencyProvider` identified by the given `className` from this registry.
Methods in org.eclipse.emf.compare.ide.ui.internal.mergeresolution with parameters of type MergeResolutionListenerDescriptor
Modifier and Type
Method
Description
`void`
MergeResolutionListenerRegistry.`addProvider(String className, MergeResolutionListenerDescriptor descriptor)`
Adds the given `MergeResolutionListenerDescriptor` to this registry, using the given `className` as the identifier.